/**
 * @since 1.0.0
 */
import { DynamoDBDocumentClient } from "@aws-sdk/lib-dynamodb";
import { DynamoDBClientInstance } from "@effect-aws/client-dynamodb";
import { Context, Effect, Layer } from "effect";
import { DynamoDBDocumentClientInstanceConfig } from "./DynamoDBDocumentClientInstanceConfig";
/**
 * @since 1.0.0
 * @category tags
 */
export interface DynamoDBDocumentClientInstance {
    readonly _: unique symbol;
}
/**
 * @since 1.0.0
 * @category tags
 */
export declare const DynamoDBDocumentClientInstance: Context.Tag<DynamoDBDocumentClientInstance, DynamoDBDocumentClient>;
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeDynamoDBDocumentClientInstance: Effect.Effect<DynamoDBClientInstance | DynamoDBDocumentClientInstanceConfig, never, DynamoDBDocumentClient>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DynamoDBDocumentClientInstanceLayer: Layer.Layer<DynamoDBDocumentClientInstanceConfig, never, DynamoDBDocumentClientInstance>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultDynamoDBDocumentClientInstanceLayer: Layer.Layer<never, never, DynamoDBDocumentClientInstance>;
